/* course.less */

/*Pagination*/
#page-mod-feedback-show_entries {

  [role="main"] {
    h4 {
      margin: $spacer 0;
    }
  }
}

table {
  td, th {
    .commands {
      display: inline-flex;
      vertical-align: inherit;
    }
  }
}


/* COURSE CONTENT */
.section-modchooser-link img {
    margin-right: 0.5rem;
    width: 16px;
    height: 16px;
}

.section_add_menus {
    text-align: right;
    clear: both;
}

.section-modchooser {
    clear: both;
}

.section_add_menus .horizontal div,
.section_add_menus .horizontal form {
    display: inline;
}

.section_add_menus optgroup {
    font-weight: normal;
    font-style: italic;
}
/*rtl:ignore*/
.section_add_menus .urlselect {
    text-align: left;
    margin-left: .4em;
}
/*rtl:ignore*/
.section_add_menus .urlselect select {
    margin-left: .2em;
}

.course-content ul.section {
    margin: 0;
    padding: 0;
}

.section {

    .spinner {
        height: 16px;
        width: 16px;
    }

    .activity {
        .spinner {
            left: 100%;
            position: absolute;
        }

        /* The command block for each activity */
        .actions {
            position: absolute;
            right: 0;
            top: 0;
            display: flex;

            @include media-breakpoint-only(sm) {
            top: 4px;
            }
        }

        .contentwithoutlink,
        .activityinstance {
            display: block;

            @include media-breakpoint-only(sm) {
            width: calc(100% - 20px);
            }

            .dimmed {
                .activityicon {
                    opacity: .5;
                }
            }
        }

        .stealth {
            @extend .text-muted;
        }
        a.stealth,
        a.stealth:hover {
            color: lighten($link-color, 25%) !important; /* stylelint-disable-line declaration-no-important */
        }
    }

    .label {
        .contentwithoutlink,
        .activityinstance {
            padding-right: 32px;
            display: block;
            height: inherit;
        }

        .mod-indent-outer {
            display: inline;
        }
    }

    .filler {
        display: inline-block;
    }

    .activity.editor_displayed {
        a.editing_title,
        .moodle-actionmenu {
            display: none;
        }

        div.activityinstance {
            padding-right: initial;

            input {
                margin-bottom: initial;
                padding-top: initial;
                padding-bottom: initial;
                vertical-align: text-bottom;
            }
        }
    }
}

img.activityicon {
    margin-right: 1.25rem;

    display: inline-flex;
    vertical-align: middle;
    width: 30px;
    height: 30px;

    @include media-breakpoint-only(sm) {
    margin-right: 15px;
    }
}

.editing {
    .section {
        .activity {
            .contentwithoutlink,
            .activityinstance {
                padding-right: 0;
                width: calc(100% - 200px);

                @include media-breakpoint-only(sm) {
                  width: 100%;
                }


                .inplaceeditable {
                  position: relative;
                  display: inline-flex;
                  width: 100%;

                  .quickeditlink {
                    display: inline-grid;
                    align-items: center;
                    justify-items: center;

                    background-color: $gray-100;
                    border-radius: $border-radius;
                    width: 30px;
                    height: 30px;

                    line-height: 0;

                    .icon {
                        font-size: 12px;
                    }
                  }

                  input {
                      display: inline-flex;
                  }
                }
            }
            .editing_move {
                /* Move the move icon to the start of the line */
                width: 25px;
                height: 100%;

                position: absolute;
                left: 0;
                top: 0;

                background: $gray-200;
                border-radius: $border-radius;

                cursor: move;

                .icon {
                  color: $gray-900;
                  font-size: 12px;

                  position: absolute;
                  top: calc(50% - 5px);
                  left: 5px;
                }
            }

            .mod-indent-outer {
                /**
                 * Add appropriate padding such that nothing overlaps the
                 * absolute positioned move icon.
                 */
                padding-left: 2rem;
                width: 100%;
            }
        }
    }
}

.availabilityinfo.isrestricted {
    font-size: $font-size-xs;
}

.editing_show + .editing_assign,
.editing_hide + .editing_assign {
    // if roles icon missing, add space
    margin-left: 20px;
}

.section .activity .commands {
    white-space: nowrap;
    display: inline-block;
}

.section .activity.modtype_label {
  padding: 2rem 0 0.5rem!important;
}

.section .activity.modtype_label.label {
    font-weight: normal;
}

.section li.activity {
    margin: 0 2px 0;
    padding-bottom: $spacer;
    padding-top: $spacer;

    border-bottom: 1px solid $border-color;

    text-align: left;

    clear: both;

    @include media-breakpoint-only(sm) {
    padding: 1rem 0;
    }

    img.activityicon {
        width: 50px;
        height: 50px;
    }

    &.label {
	    &:hover {
		    box-shadow: none;
	    }
    }

    &:last-child {
      border-bottom: none;
    }
}

.section .instancename {
  font-weight: $font-weight-sm-bold;
  font-size: $font-size-base;
  color: $body-color;

  display: inline-flex;
  align-items: center;
  width: calc(100% - 70px);
  align-self: center;

  @include media-breakpoint-only(sm) {
    font-size: $font-size-sm;
  }
}

.section .activity .activityinstance .groupinglabel {
    padding-left: 30px;
}

.section .activity {

  #page-site-index & {
    margin-left: 0;
    margin-right: 0;
  }

  .activityinstance {
    #page-site-index & {
      margin: 2px;
    }

    .availabilityinfo {
        margin-bottom: 0!important;
    }
  }

  .contentafterlink {
   padding-left: 70px;
   padding-right: 4rem;

   @include media-breakpoint-only(sm) {
     padding-left: 45px;
     padding-right: 0;
   }

   #page-site-index & {
       padding-right: 0;
       padding-left: 86px;

       margin-top: -17px;
       margin-bottom: 1rem;

       @include media-breakpoint-only(sm) {
         padding-left: 17px;
       }
   }

   .no-overflow {
     width: auto!important;
     font-size: $font-size-sm!important;
     text-align: left!important;
     color: $gray-700!important;

     @include media-breakpoint-only(sm) {
    font-size: $font-size-xs!important;
     }
   }

   img {
     border-radius: $border-radius;

     margin: 1rem 0;
   }
 }
}

.editing .section .activity:hover,
.editing .section .activity.action-menu-shown {
    background-color: $gray-100;
}


#page-course-view-topics .course-sections {
    padding: 1rem 1.5rem;
    margin-bottom: 1rem;

    border-radius: $border-radius;
    border: 1px solid $border-color;

    &:last-of-type {
        margin-bottom: 0;
    }
}


.course-content .current {
    position: relative;
}

.course-content .current::before {
    content: "";
    border-left: $brand-primary 2px solid;
    position: absolute;
    left: -$card-spacer-x;
    top: 0;
    bottom: 0;
}

.course-content .section-summary {
    border-bottom: 2px solid $border-color;
    list-style: none;

    &:last-of-type {
      border-bottom: none;
    }
}

.course-content .section-summary .section-title a {
    font-weight: $font-weight-sm-bold;
    font-size: 1rem;
    color: $body-color;

    &:hover {
      color: $theme-color-3;
    }
}

.course-content .section-summary .summarytext {
    font-size: $font-size-sm;
    color: $body-color-secondary;
}

.course-content .section-summary .section-summary-activities .activity-count {
    @extend .text-muted;
    font-size: $font-size-sm;
    margin: 0.25rem 0.5rem 0.25rem 0;
    white-space: nowrap;
    display: inline-block;
}

.section-summary-activities.mdl-right {
  text-align: left!important;
}

.course-content .section-summary .summary {
    margin-top: 5px;
}

.course-content .single-section {
    margin-top: 1em;
}

.course-content .single-section .section-navigation {
    display: inline-flex;
    justify-content: space-between;
    
    width: 100%;
    padding: 0.5rem;

    overflow: hidden;

    background-color: $gray-100;
    border-radius: $border-radius;
}

.course-content .single-section .section-navigation .title {
    font-weight: bold;
    font-size: 108%;
    clear: both;
}

.course-content .single-section .section-navigation .mdl-left {
    font-weight: normal;
    float: left;
    margin-right: 1em;

    @include media-breakpoint-only(sm) {
      float: none;
      margin: 0.5rem 0;
      a { width: 50%; }
    }
}

.course-content .single-section .section-navigation .mdl-left .larrow {
    margin-right: 0.1em;

    &:after {
        @extend %fa-icon;
        @extend .fas;
    
        content: fa-content($fa-var-caret-left);
    
        font-size: 16px;
        color: inherit;
        opacity: 0.6;
    
        position: absolute;
        top: calc(50% - 8px);
        left: 18px;
      }
}

.course-content .single-section .section-navigation .mdl-right {
    font-weight: normal;
    float: right;
    margin-left: 1em;

    @include media-breakpoint-only(sm) {
      float: none;
      margin: 0.5rem 0;
      a { width: 50%; }
    }
}

.course-content .single-section .section-navigation .mdl-right .rarrow {
    margin-left: 0.1em;

    &:after {
        @extend %fa-icon;
        @extend .fas;
    
        content: fa-content($fa-var-caret-right);
    
        font-size: 16px;
        color: inherit;
        opacity: 0.6;
    
        position: absolute;
        top: calc(50% - 8px);
        right: 18px;
    }
}

#next-activity-link {
    position: relative;
    padding-right: 40px;
    
    &:after {
        @extend %fa-icon;
        @extend .fas;
    
        content: fa-content($fa-var-caret-right);
    
        font-size: 16px;
        color: inherit;
        opacity: 0.6;
    
        position: absolute;
        top: calc(50% - 8px);
        right: 18px;
      }   
}

.single-section {
    .section-navigation .mdl-left a {
        padding: 24px 22px;

        .format-onetopic &,
        .format-flexible & {
            padding: $btn-padding-y 20px $btn-padding-y 40px;
        }
    }

    .section-navigation .mdl-right a {
        padding: 24px 22px;

        .format-onetopic &,
        .format-flexible & {
            padding: $btn-padding-y 40px $btn-padding-y 20px;
        }
    }
}


#prev-activity-link {
    position: relative;
    padding-left: 40px;

    &:after {
        @extend %fa-icon;
        @extend .fas;
    
        content: fa-content($fa-var-caret-left);
    
        font-size: 16px;
        color: inherit;
        opacity: 0.6;
    
        position: absolute;
        top: calc(50% - 8px);
        left: 18px;
      }   
}

        #next-activity-link,
        #prev-activity-link {
            @extend .text-truncate;
        }

.course-content .single-section .section-navigation .mdl-bottom {
    margin-top: 0;
}

.course-content ul li.section.hidden {
    .sectionname > span,
    .content > div.summary,
    .activity .activityinstance {
        @extend .text-muted;
    }
}



.course-content ul.topics,
.course-content ul.weeks {
    padding: 0;
    list-style: none;

    li.section {
        padding-top: $spacer;
        padding-bottom: $spacer;

        .content {
            margin: 0;
            padding: 0;
        }

        .summary {
            font-size: $font-size-base;
            margin: 0 0 20px!important;

            p {
              &:last-child {
                margin-bottom: 0;
              }
            }
        }

        .left {
            padding-top: 0;
            text-align: right;
        }
    }
}

.course-content {
    margin-top: 0;
}

.course-content .hidden {
    display: none;
}

.course-content li {
    &.section {
        ul {
            list-style: disc;

            ul {
                list-style: circle;

                ul {
                    list-style: square;
                }
            }
        }

        li {
            &.activity {
                ul {
                    list-style: disc;

                    ul {
                        list-style: circle;

                        ul {
                            list-style: square;
                        }
                    }
                }
            }
        }

        .right {
            > .icon:first-child {
                /* Remove the spacer icon. */
                display: none;
            }
        }
    }
}

.path-course-view.editing #region-main > .card-block {
    padding-bottom: 13rem;
}

.jumpmenu .form-inline {
    display: block;
}

@include media-breakpoint-only(sm) {
  .jumpmenu {
    .custom-select {
      width: 100%;
      margin: 0.5rem 0;
    }
  }
}


.path-course-view .completionprogress {
    display: block;
    margin-top: 10px;
    margin-bottom: 10px;
    position: relative;

    font-size: 0.75rem;
    color: $gray-700;
    text-align: right;

    @include media-breakpoint-between(sm,md) {
      margin-top: 0;
      margin-bottom: 10px;
    }

    .btn-icon {
      color: $gray-700;
      margin-left: 0.25rem;
    }
}

#page-site-index .subscribelink {
    text-align: right;
}

#site-news-forum h2,
#frontpage-course-list h2 {
    font-size: 1.5rem!important;
}

#frontpage-category-names h2,
#frontpage-category-combo h2 {
    margin-bottom: -50px!important;
    font-size: 1.25rem!important;
    font-weight: $font-weight-sm-bold!important;
}


    #page-site-index {
      [role="main"] {
        .buttons {
          .singlebutton {
            width: 100%;

            .btn {
              width: 100%;
            }
          }
        }
      }
    }


.path-course-view a.reduce-sections {
    padding-left: 0.2em;
}

.path-course-view .subscribelink {
    text-align: right;
}

.path-course-view .unread {
    margin-left: 30px;
}

.path-course-view .block.drag .header {
    cursor: move;
}

.path-course-view .completionprogress {
    text-align: right;
}

.path-course-view .single-section .completionprogress {
    margin-right: 10px;
}

.path-site li.activity > div,
.path-course-view li.activity > div {
    position: relative;
    width: 100%;
    padding: 0 16px 0 0!important; /* to accommodate the floated completion icon with highlighting */
}

.path-course-view li.activity span.autocompletion img {
    vertical-align: text-bottom;
    margin-left: 0;
    width: 30px;
    height: 30px;
    max-width: 30px; /* The width is 0 so ensure we don't end up with a relative max-width */

    @include media-breakpoint-only(sm) {
    width: 25px;
    height: 25px;
    max-width: 25px; /* The width is 0 so ensure we don't end up with a relative max-width */
    }
}

.path-course-view li.activity form.togglecompletion .btn {
    padding: 0;
    border: 0;
}
.path-course-view li.activity form.togglecompletion img,
.path-course-view li.activity form.togglecompletion svg {
    width: 30px;
    height: 30px;
    max-width: 30px; /* The width is 0 so ensure we don't end up with a relative max-width */
    margin: 0;

    @include media-breakpoint-only(sm) {
    width: 25px;
    height: 25px;
    max-width: 25px; /* The width is 0 so ensure we don't end up with a relative max-width */
    }
}

.path-course-view {
    &.editing {
        li.activity span.autocompletion img {
            /* Use the same spacing as the filler. */
            margin-right: $spacer / 2;
            margin-left: $spacer / 2;
        }
    }
}

.path-course-view li.activity form.togglecompletion .ajaxworking {
    width: 38px;
    height: 38px;
    position: absolute;
    right: calc(50% - 19px);
    top: calc(50% - 19px);
    border-radius: 100%;

    background: $white url([[pix:i/ajaxloader]]) no-repeat center;

}

li.section.hidden span.commands a.editing_hide,
li.section.hidden span.commands a.editing_show {
    cursor: default;
}

.section h3.sectionname {
    font-size: 1.5rem;
    font-weight: $font-weight-sm-bold;
    color: $body-color;

    text-align: left;
    clear: both;

    @include media-breakpoint-only(sm) {
      font-size: 1.25rem;
    }

    a {
        color: $body-color;

        &:before {
          width: 0;
        }
    }
}

.section-navigation .sectionname {
  text-align: center;
}

.section img.movetarget {
    height: 16px;
    width: 80px;
}

input.titleeditor {
    width: 330px;
    vertical-align: text-bottom;
}

span.editinstructions {
    /*rtl:remove*/
    position: absolute;
    /*rtl:raw:
    position: relative;
    */
    top: -25px;
    margin-top: -2px;
    margin-left: 30px;
    font-size: $font-size-xs;
    padding: 3px 7px;
    border-radius: $border-radius;
    background-color: $state-info-bg;
    color: $state-info-text;
    text-decoration: none;
    z-index: 9999;

    color: #7f5e10;
    background-color: #fdf0d2;
    box-shadow: 0 1px 0 0 #fceac0;
}

/* Course drag and drop upload styles */
#dndupload-status {
    position: fixed;
    left: 0;
    width: 40%;
    margin: 0 30%;
    padding: 6px;
    border: 1px solid $state-info-border;
    text-align: center;
    background: $state-info-bg;
    color: $state-info-text;
    z-index: 1; // Required in order to have this above relatively positioned course content@mixin

    @include box-shadow(2px 2px 5px 1px #ccc);
    @include border-radius(8px);
}

.dndupload-preview {
    color: #909090;
    border: 1px dashed #909090;
    list-style: none;
    margin-top: .2em;
    padding: .3em;
}

.dndupload-progress-outer {
    background-color: $progress-bg;
    @include border-radius($progress-border-radius);
    @include box-shadow($progress-box-shadow);
    display: block;
    width: 100%;
    height: $spacer-y;
    margin-bottom: $spacer-y;
}

.dndupload-progress-inner {
    background-color: $progress-bar-color;
    border-radius: $progress-border-radius;
    display: inline-block;
    height: $spacer-y;
}

.dndupload-hidden {
    display: none;
}

/* COURSES LISTINGS AND COURSE SUMMARY */
#page-course-pending,
#page-course-index,
#page-course-index-category,
#page-course-editsection
{
  .singlebutton {
    text-align: left;
  }
}

#page-course-index-category {
  .buttons {
    text-align: left;
  }
}



#page-admin-course-manage #movecourses td img {
    margin: 0 .22em;
    vertical-align: text-bottom;
}

#coursesearch {
    display: block;
    margin-top: 1rem;
    text-align: left;

    background-color: transparent;

    @include media-breakpoint-only(sm) {
    .btn {
        width: 100%;
    }
    }
}

#page-course-pending .pendingcourserequests {
    margin-bottom: 1em;
}

#page-course-pending .pendingcourserequests .singlebutton {
    display: inline;
}

#page-course-pending .pendingcourserequests .cell {
    padding: 0 5px;
}

#page-course-pending .pendingcourserequests .cell.c6 {
    white-space: nowrap;
}

.coursebox {
    padding: $spacer / 2;
}

.coursebox > .info > .coursename a {
    display: block;
    background-image: url([[pix:moodle|i/course]]);
    background-repeat: no-repeat;
    padding-left: 21px;
    background-position: left 0.2em;
}

.coursebox > .info > .coursename,
.coursebox .content .teachers,
.coursebox .content .courseimage,
.coursebox .content .coursefile {
    float: left;
    clear: left;
}

.coursebox .content .teachers,
.coursebox .content .courseimage,
.coursebox .content .coursefile {
    width: 40%;
}

.coursebox > .info > h3.coursename {
    margin: 5px;
}

.coursebox > .info > .coursename {
    margin: 5px;
    padding: 0;
}

.coursebox .content .teachers li {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.coursebox .moreinfo {
    padding: 3px 0;
    float: right;
}

.coursebox .moreinfo img {
    margin: 0 .2em;
}

.coursebox .content {
    clear: both;
}

.coursebox .content .summary,
.coursebox .content .coursecat {
    float: right;
    width: 55%;
}

.summary:empty {
   display: none;
}

.coursebox .content .coursecat {
    text-align: right;
    clear: right;
}

.coursebox.remotecoursebox .remotecourseinfo {
    float: left;
    width: 40%;
}

.coursebox .content .courseimage img {
    max-width: 100px;
    max-height: 100px;
}

.coursebox .content .coursecat,
.coursebox .content .summary,
.coursebox .content .courseimage,
.coursebox .content .coursefile,
.coursebox .content .teachers,
.coursebox.remotecoursebox .remotecourseinfo {
    margin: 15px 5px 5px;
    padding: 0;
}

.coursebox.remotehost > .info > .categoryname a {
    background-image: url([[pix:moodle|i/mnethost]]);
}

.coursebox.collapsed {
    margin-bottom: 0;
}

.coursebox.collapsed > .content {
    display: none;
}

.content {
  .subcategories {
    .category {
      .info {
        width: 100%;
        display: block;

        margin-top: 0.75rem;
        padding-bottom: 0.75rem;

        text-align: left;

        border-bottom: 1px solid $border-color;
      }

      &:last-of-type {

          .info {
            margin-bottom: 0;
            border-bottom: none;
          }

      }
    }
  }
}


.courses .coursebox {
    &.collapsed {
        padding-top: $spacer-y / 2;
        padding-bottom: $spacer-y / 2;
    }

    &.even {
        background-color: $table-bg-accent;
    }
}

.courses > .paging.paging-morelink {
    text-align: center;
    padding: $spacer;
}

.course_category_tree .category .numberofcourse {
    margin-left: 0.25rem;

    font-size: $font-size-sm;
    font-weight: $font-weight-sm-bold;
    color: $body-color-light;
}

.course_category_tree .controls {
    visibility: hidden;
}

.course_category_tree .controls div {
    display: inline;
    cursor: pointer;
}

.jsenabled .course_category_tree .controls {
    visibility: visible;
}

.course_category_tree .controls {
    margin-bottom: 5px;
    text-align: right;
    float: right;
}

.course_category_tree .controls div {
    padding-right: 2em;
    font-size: 75%;
}

.course_category_tree .category > .info > .categoryname {
    display: block;
    background-image: none;
    margin: 2px 0;

    font-size: .85 * $font-size-base;
    line-height: 1.3;
    color: $body-color;

    a {
      color: inherit;
      padding-left: 30px;
      position: relative;

      &:after {
        @extend %fa-icon;
        @extend .fas;
    
        content: fa-content($fa-var-folder);
    
        font-size: 16px;
        color: inherit;
        opacity: 0.6;
    
        position: absolute;
        top: calc(50% - 8px);
        left: 3px;
      }

      &:hover {
        text-decoration: none;
      }
    }
}

.course_category_tree .category.with_children.collapsed>.info>.categoryname {
    background-image: none!important;
}

.course_category_tree .category.with_children > .info > .categoryname {
    position: relative;
    cursor: pointer;

    padding-right: 30px;

    &:after {
      @extend %fa-icon;
      @extend .fas;
  
      content: fa-content($fa-var-caret-up);
  
      font-size: 16px;
      color: inherit;
      opacity: 0.6;
  
      position: absolute;
      top: calc(50% - 8px);
      right: 3px;
    }

}

.course_category_tree .category.with_children.collapsed > .info > .categoryname {
    position: relative;
    cursor: pointer;

    padding-right: 30px;
    
    &:after {
      @extend %fa-icon;
      @extend .fas;
  
      content: fa-content($fa-var-caret-down);
  
      font-size: 16px;
      color: inherit;
      opacity: 0.6;
  
      position: absolute;
      top: calc(50% - 8px);
      right: 3px;
    }
}
/* rtl:raw:
.course_category_tree .category.with_children.collapsed > .info > .categoryname {
    background-image:url([[pix:moodle|t/collapsed_rtl]]);
}
*/
.course_category_tree .category.collapsed > .content {
    display: none;
}

.course_category_tree .category > .info {
    clear: both;
}

#page-course-index-category .generalbox.info {
    margin-bottom: 2rem;
    font-size: $font-size-lg;
}

#page-course-index-category .categorypicker {
    margin: 0 0 1rem 0;
    padding-bottom: 1rem;
    border-bottom: 1px solid $border-color;
}

/**
 * Course management page
 * Palette
 *
 * Background (reg)         #F5F5F5
 * Background (light        #fafafa
 * Background (highlight)   #ddffaa
 * Borders                  #e1e1e8
 */
#course-category-listings {
    margin-bottom: 0;

    /** Two column layout */
    &.columns-2 {
        > #course-listing > div {
            position: relative;
            left: -1px;
        }
    }
    /** Three column layout */
    &.columns-3 > #course-listing > div {
        height: 100%;
    }

    > div > div {
        > ul.ml > li:first-child > div {
            border-top: 0;
        }
    }

    .card,
    .card-header {
      background: transparent;
    }

    .card-header {
      padding: 0;
      border-bottom: none;

      font-size: 1rem;
      font-weight: $font-weight-bold;
      text-align: center;

      .card-title {
        font-size: $font-size-lg;         
      }
    }

    .card-body {
      padding: 0.5rem 0;

      .ml-1.list-unstyled {
        margin: 0!important;
      }
    }

    .course-detail {
      margin-top: 1rem;
    }

    .moodle-actionmenu {
        white-space: nowrap;
    }

    .listing-actions {
      margin: 2rem 0 1rem;

        > .moodle-actionmenu {
            display: inline-block!important;
        }
    }

    .detail-pair {
        padding: 0.5rem 0;
        font-size: $font-size-sm;
    }

    li {
        ul.ml {
            margin: 0.5rem 0;
            padding-left: 40px;
        }
    }

    ul.ml {
        list-style: none;
        margin: 0.5rem 0;
        padding: 0;

        ul.ml {
            padding-left: 40px;
        }
    }

    .listitem {

        &[data-selected='1'] {
            border-width: 2px!important;
            border-color: $theme-color-7!important;
        }

        &>div .idnumber {
          margin-top: 10px;
        }
    }



    .item-actions {
        display: inline-flex!important;

        &.show .menu {

            img {
                width: 12px;
                max-width: none;
            }
        }

        .menu-action-text {
            vertical-align: inherit;
        }
    }

    .listitem {
        > div {
            > .float-left {
                margin-top: 0;
                margin-bottom: 0;
                margin-right: 10px;
                float: left;

                &:before {
                  display: none;
                }

                &.categoryname {
                  margin: 6px;
                }
            }

            > .float-right {
                display: block;
            }

            .item-actions {
                .action-show {
                    display: none;
                }

                .action-hide {
                    display: inline-flex;
                }
            }

            .without-actions {
                color: $gray-900;
            }

            .idnumber {
                color: $gray-600;
                margin-right: 2em;
            }
        }
        // The category or course is hidden.
        &[data-visible="0"] {
            @extend .text-muted;

            > div {
                > a {
                    @extend .text-muted;
                }

                .item-actions {
                    .action-show {
                        display: inline-flex;
                    }

                    .action-hide {
                        display: none;
                    }
                }
            }
        }

        &.highlight {
            background-color: $body-bg;

            > div,
            > div:hover,
            &[data-selected='1'] > div {
                background-color: $table-bg-hover;
            }
        }
    }

    #course-listing {
        .menubar {

            .listing-actions {
              margin: 0.5rem 0;
            }

        }

        .listitem {
            .categoryname {
                display: inline-block;
                margin-left: 1em;
                color: #a1a1a8;
            }

            .coursename {
                display: inline-block;
                max-width: 260px;
            }
        }

        > .firstpage .listitem:first-child > div .item-actions .action-moveup,
        > .lastpage .listitem:last-child > div .item-actions .action-movedown {
            display: none;
        }

        .bulk-action-checkbox {
            margin: -2px 6px 0 0;
        }
    }

    #category-listing,
    #course-listing {
        background-color: transparent;
        border: 1px solid $border-color;
        border-radius: $border-radius;
        padding: 1rem;
        margin: 1rem;

        .pagination {
            margin: 0!important;
        }

        .listitem.collapsed > ul.ml {
            display: none;
        }

        .listitem {
            > div {
                > .ba-checkbox {
                    width: 2.2em;
                    text-align: center;
                }
            }

            &.highlight > div > .ba-checkbox {
                background-color: $table-bg-hover;
            }

            &[data-selected='1'] > div > .ba-checkbox {
                margin: 0;
                padding: 0;
                background-color: inherit;
            }

            &:first-child > div .item-actions .action-moveup,
            &:last-child > div .item-actions .action-movedown {
                display: none;
            }
        }

        .course-count {
            margin-left: 0.25rem;
            margin-bottom: 0;

            display: inline-flex;
            align-items: center;
            padding: $badge-padding-y $badge-padding-x;
            font-size: $badge-font-size;
            font-weight: $badge-font-weight;
            text-align: left;
            @include border-radius($badge-border-radius);
          
            // Empty badges collapse automatically
            &:empty {
              display: none;
            }
          
            .icon {
              font-size: 0.75rem;
              margin-right: 0.75rem!important;
              line-height: 1.5;
            }
          
            i {
              font-size: 0.75rem;
            }

            @extend .badge-secondary;
            
            .icon {
              margin-left: 0.5rem;
              margin-right: 0!important;
              line-height: 1.5;
            }
        }

        .bulk-action-checkbox {
            margin: 0!important;
            position: relative;
        }

        .category-listing > ul > .listitem:first-child {
            position: relative;
        }

        .category-bulk-actions {
            position: relative;
        }
    }

    .detail-pair {
        > * {
            display: inline-block;
            padding: 0;
        }

        .pair-key {
            vertical-align: top;

            span {
                font-weight: $font-weight-sm-bold;
                margin-right: 1rem;
                display: block;
                line-height: 1.5;
            }
        }

        .pair-value select {
            max-width: 100%;
            margin: 5px 0;
        }
    }

    .bulk-actions .detail-pair {
        > * {
            display: block;
            width: 100%;
            padding: 0;
        }
    }

    .listing-pagination {
        text-align: center;
    }

    .select-a-category .notifymessage,
    .select-a-category .alert {
        margin: 1em;
    }
}

.jsenabled #course-category-listings #course-listing .listitem .drag-handle {
    background: $theme-color-9;
    padding: 8px 10px;
    margin-right: 10px;
    
    border-radius: 5px;

    cursor: move !important;

    i {
        font-size: 12px;
        color: $theme-color-3;
    }
}

.listing-pagination-totals {
    @extend .badge;
    @extend .badge-light;
}


/** Management header styling **/
.coursecat-management-header {
    vertical-align: middle;

    h2 {
        display: inline-block;
        text-align: left;
        margin-bottom: 0;
    }

   .moodle-actionmenu {
     margin: 0 0.5rem 0 0;
   }

    > div {
        margin: 1rem 0;
        display: flex;
        justify-content: flex-end;

        > div {
            margin: 0;
            align-items: center;
            font-size: $font-size-xs;
            font-weight: $font-weight-sm-bold;
        }
    }

    select {
        max-width: 300px;
        cursor: pointer;
        padding: 0.4em 0.5em 0.45em 1em;
        vertical-align: baseline;
        white-space: nowrap;
    }

    .view-mode-selector {
      margin: 0 0 0 0.5rem;

        .moodle-actionmenu {
            white-space: nowrap;
            display: inline-block!important;
        }

        .moodle-actionmenu[data-enhanced].show .menu a {
            padding-left: 1em;
        }
    }
}


.course-being-dragged-proxy {
    border: 0;
    color: $link-color;
    vertical-align: middle;
    padding: 0 0 0 4em;
}

.course-being-dragged {
    opacity: 0.5;
}

/**
 * Display sizes:
 * Large displays                   1200        +
 * Default displays                  980     1199
 * Tablets                           768      979
 * Small tablets and large phones    481      767
 * Phones                              0      480
 */

@media (min-width: 1200px) and (max-width: 1600px) {
    #course-category-listings.columns-3 {
        background-color: $body-bg;
        border: 0;

        #category-listing,
        #course-listing {
            width: 50%;
        }

        #category-listing > div,
        #course-listing > div,
        #course-detail > div {
            background-color: $body-bg;
        }

        #course-detail {
            width: 100%;
            margin-top: 1em;
        }
    }
}

@media (max-width: 1199px) {
    #course-category-listings.columns-2,
    #course-category-listings.columns-3 {
        border: 0;

        #category-listing,
        #course-listing,
        #course-detail {
            width: 100%;
            margin: 0 0 1em;
        }
    }
}

.page-settings-menu .menubar > a > .icon {
    width: auto;
    height: 32px;
    font-size: 32px;
}

.page-settings-menu .menubar {
  .action-menu-item {
    margin: 0 0.5rem;
  }
}


.resourcelinkdetails {
  padding-left: 71px;

  @include media-breakpoint-between(sm,md) {
    padding-left: 0;
  }
}

#page-course-management {
  .btn-default {
    width: 100%;
    margin-bottom: 1rem;
  }

  .card-body .action-menu-item {
    position: relative;
    top: auto;
    right: auto;
    left: auto;
    align-items: center;
    display: inline-flex;
  }
}

#coursecat-management {
  .list-group-item {
    padding: 0.35rem;
    margin-bottom: 0;
    border: 1px solid $border-color!important;

    &:last-child {
        @include border-bottom-radius($card-border-radius);
    }

    .dropdown {
        margin-left: 0.5rem;
    }
    
    .clearfix {
        display: inline-flex;
        align-items: center;
        line-height: 1.2;
    }

  }

  .listitem-category,
  .listitem-course
  {
    .categoryname, .coursename {
        font-size: $font-size-xs;
        font-weight: $font-weight-sm-bold;
        color: $body-color;

        &:before {
            display: none;
        }
    }
  }
}

  .course-item-actions {
    .btn {
      padding: 0.25rem;
      margin: 0.15rem;
    }
  }

  /* course/recent.php */
  #page-course-recent {
    .box.generalbox.card-content {
      h3 {
        padding-bottom: 1rem;
        margin-bottom: 1rem;
        border-bottom: 1px solid $border-color;

        font-size: $font-size-base;

        &:last-of-type {
          padding-bottom: 0;
          margin-bottom: 0;
          border-bottom: none;
        }

        img {
          width: 50px;
          height: 50px;
          margin-right: 1rem;
        }
      }
    }
  }


  .columns-2.viewmode-cobmined {
    #course-listing {
      .action-menu {
        float: none;
      }

      .courses-per-page {
        float: right;
      }

    }
  }


  .course-content ul.topics li.section .left,
  .course-content ul.topics li.section .right {
    padding: 0;

    .menubar {
        justify-content: flex-end;
    }
  }

  .course-content ul.topics li.section .content,
  .course-content ul.weeks li.section .content {
    position: relative;
  }

  .section_availability {
    position: relative;

    .tag {
      margin-left: 0;
      margin-right: 0.25rem;
      margin-bottom: 0.2rem;
    }
  }


#page-course-view-weeks .section-summary-activities.mdl-right {
  text-align: left!important;
}

#course-category-listings .item-actions .menubar {
    display: inline-flex!important;
}

#page-course-management .card-body .action-menu-item,
.course-item-actions.item-actions {
    a {
        display: inline-flex;
        align-items: center;
        justify-content: center;

        margin-left: 0.25rem;
        background-color: $gray-100;
        width: 30px;
        height: 30px;

        border-radius: 30px;

        i {
            font-size: 11px;
            color: $gray-900;
        }
      
        &:hover {
            background-color: $gray-300;
        }

        &.action-delete {
            background-color: $red-100;
            position: absolute;
            right: 5px;

            &:hover {
                background-color: $red-600;
                i { color: $red-100; }
            }
            
            i {
                color: $red-600;
            }
        }

        &.action-show {
            background-color: $yellow-200;

            &:hover {
                background-color: $yellow-400;
                i { color: $yellow-200; }
            }

            i {
                color: $yellow-900!important;
            }
        }        

        &.action-hide {
            background-color: $green-100;

            &:hover {
                background-color: $green-700;
                i { color: $green-100; }
            }

            i {
                color: $green-700;
            }            
        }
    }
}

.video-js:hover .vjs-big-play-button, 
.video-js .vjs-big-play-button:focus {
    background-color: rgba(0, 0, 0, 0.7);
}

.video-js .vjs-big-play-button {
    width: 90px;
    height: 90px;
    border-radius: 90px;

    line-height: 90px;

    top: calc(50% - 45px);
    left: calc(50% - 45px);
    border: none;
    background-color: rgba(0, 0, 0, 0.7);

    &:hover {
        background-color: rgba($theme-color-3, 0.7);
    }
}

.vjs-icon-play:before,
.video-js .vjs-play-control .vjs-icon-placeholder:before,
.video-js .vjs-big-play-button .vjs-icon-placeholder:before {
    position: absolute;
    border: 0!important;
}

.optionsummary {
    div, h5 {
        &:focus {
            box-shadow: none;
        }
    }

    .summary-header {
        .icon {
            margin-right: 10px;
            width: 60px;
            height: 60px;
        }
    }
}

#course-category-listings .listitem {
    [data-action="collapse"],
    [data-action="expand"] {
        display: inline-flex;
        align-items: center;
        justify-content: center;

        margin-left: 0.25rem;
        background-color: $gray-100;
        width: 30px;
        height: 30px;

        border-radius: 30px;

        &:hover {
            background-color: $gray-200;
        }
    
        i {
            font-size: 14px;
            color: $gray-900;
    
    
        }
    }
}
